Equity contract notes in Shares

Query Parameters
  • organisationCode
    Type: string
  • branchCode
    Type: string
  • advisorCode
    Type: string
  • accountNumber
    Type: string
  • fromDate
    Type: string Format: date

    full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • toDate
    Type: string Format: date

    full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • unsettledOnly
    Type: boolean
  • referenceNumber
    Type: string
  • marketCode
    Type: string
  • securityCode
    Type: string
Responses
  • application/json
Request Example for get/connect-data/equitycontractnotes/v2
curl https://api.uat.openbroker.io/connect-data/equitycontractnotes/v2
[
  {
    "organisationCode": "TPOMAL",
    "advisorCode": "ADV1",
    "branchCode": "01",
    "accountNumber": "111888",
    "accountName": "Mr James Alan Smith",
    "referenceNumber": "5600123",
    "contractDate": "2025-06-11",
    "asAtDate": "2025-06-11",
    "settleDate": "2025-06-13",
    "securityCode": "BHP",
    "securityDescription": "BHP GROUP LIMITED ORDINARY FULLY PAID",
    "marketCode": "ASX",
    "isin": "AU000000BHP4",
    "buySell": "BUY",
    "quantity": 200,
    "consideration": 9480,
    "averagePrice": 47.4,
    "brokerage": 44.05,
    "adminFee": 0,
    "gst": 4.4,
    "exchangeFee": 0,
    "tradeCurrency": "AUD",
    "settleCurrency": "AUD",
    "exchangeRate": 1,
    "nettTradeAmount": 9528.45,
    "nettSettleAmount": 9528.45,
    "status": "Confirmed",
    "stockSettlementMethod": "CHESS",
    "cashSettlementMethod": "DirectDebit",
    "matchStatus": "Matched",
    "unsettledQuantity": 200,
    "unsettledAmount": 9528.45,
    "finalStockSettleDate": null,
    "finalCashSettleDate": null,
    "contractComments": null,
    "orderNumber": [
      "41156644"
    ],
    "crossed": false,
    "condition": null,
    "basisOfQuotation": [
      "Market"
    ],
    "crossedReason": "N/A",
    "venue": [
      "ASX",
      "CXA"
    ]
  }
]